const resolve = require("rollup-plugin-node-resolve"); // 依赖引用插件
const commonjs = require("rollup-plugin-commonjs");
const rollupTerser = require("rollup-plugin-terser");
const babel = require("@rollup/plugin-babel");
module.exports = {
  input: "src/index.js", // 打包入口
  output: [
    {
      file: "./lib/baisc-data.js",
      format: "umd", // umd是兼容amd/cjs/iife的通用打包格式，适合浏览器
      name: "baisc-data",
    },
  ],
  plugins: [
    // 打包插件
    resolve(), // 查找和打包node_modules中的第三方模块
    rollupTerser.terser(),
    commonjs(), // 将 CommonJS 转换成 ES2015 模块供 Rollup 处理
    babel({ babelHelpers: "bundled" }),
  ],
  ignore: [
    "node_modules/**", // 忽略目录
  ],
};
